Create a new card
curl --request POST \
--url https://api.vistaly.com/beta/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cardTitle": "Improve customer onboarding",
"parentId": "<string>",
"cardDetails": "We need to streamline the onboarding process to reduce drop-off rates",
"cardStatus": "now",
"resources": [
{
"url": "<string>",
"title": "<string>"
}
]
}
'import requests
url = "https://api.vistaly.com/beta/cards"
payload = {
"cardTitle": "Improve customer onboarding",
"parentId": "<string>",
"cardDetails": "We need to streamline the onboarding process to reduce drop-off rates",
"cardStatus": "now",
"resources": [
{
"url": "<string>",
"title": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cardTitle: 'Improve customer onboarding',
parentId: '<string>',
cardDetails: 'We need to streamline the onboarding process to reduce drop-off rates',
cardStatus: 'now',
resources: [{url: '<string>', title: '<string>'}]
})
};
fetch('https://api.vistaly.com/beta/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cardId": "<string>",
"cardUrl": "<string>",
"message": "Card created successfully"
}{
"message": "Bad request"
}{
"message": "Unauthorized"
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}cards
Create a new card
Create a new card in your organization
POST
/
beta
/
cards
Create a new card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The title of the card
Example:
"Improve customer onboarding"
The ID of the parent to associate this card
The type of the parent
Available options:
backlog, card The detailed description of the card
Example:
"We need to streamline the onboarding process to reduce drop-off rates"
The initial status of the card. The status value must be valid for the card type.
Available options:
addressed, at risk, developing, done, failed, idea, identified, later, next, not now, now, passed, pending, progressing, running, on track, uncommitted Example:
"now"
Available options:
assumption, experiment, kpi, objective, opportunity, outcome, problem, product, solution List of resource links associated with this card
Show child attributes
Show child attributes
⌘I